ubuntu下调用keras报错:No module named 'error'

cuda9.0和TensorFlow1.8.0已安装
import tensorflow也没有问题,就是再import keras出错,求大神解答!
报错如下:
Using TensorFlow backend.
Traceback (most recent call last):
File "/home/zhangzhiyang/PycharmProjects/tensorflow1/test_keras.py", line 2, in
import keras
File "/home/zhangzhiyang/anaconda3/envs/tensorflow/lib/python3.6/site-packages/keras/__init__.py", line 3, in
from . import utils
File "/home/zhangzhiyang/anaconda3/envs/tensorflow/lib/python3.6/site-packages/keras/utils/__init__.py", line 26, in
from .multi_gpu_utils import multi_gpu_model
File "/home/zhangzhiyang/anaconda3/envs/tensorflow/lib/python3.6/site-packages/keras/utils/multi_gpu_utils.py", line 7, in
from ..layers.merge import concatenate
File "/home/zhangzhiyang/anaconda3/envs/tensorflow/lib/python3.6/site-packages/keras/layers/__init__.py", line 4, in
from ..engine.base_layer import Layer
File "/home/zhangzhiyang/anaconda3/envs/tensorflow/lib/python3.6/site-packages/keras/engine/__init__.py", line 7, in
from .network import get_source_inputs
File "/home/zhangzhiyang/anaconda3/envs/tensorflow/lib/python3.6/site-packages/keras/engine/network.py", line 9, in
import yaml
File "/home/zhangzhiyang/anaconda3/envs/tensorflow/lib/python3.6/site-packages/yaml/__init__.py", line 2, in
from error import *
ModuleNotFoundError: No module named 'error'

我的版本:tensorflow1.8.0,cuda9.0,cuDNN7,anaconda3,python3.6.5
我的tensorflow和keras安装路径均为anaconda3/envs/tensorflow/lib/python3.6/site-packages

我的.bashrc文件如下:

export PATH="/home/zhangzhiyang/anaconda3/bin:$PATH"
export LD_LIBRARY_PATH="/home/zhangzhiyang/newdisk/cuda-9.0/lib64:$LD_LIBRARY_PATH"
export PATH="/home/zhangzhiyang/newdisk/cuda-9.0/bin:$PATH"
export CUDA_HOME=$CUDA_HOME:"/home/zhangzhiyang/newdisk/cuda-9.0"

个人推测可能是python版本的问题,但不知如何解决,我第一次pip Keras未指定安装路径,结果keras安装在了python2.7下,这次我指定了路径为python3.6/site_packages,但是报了如上错误,是否keras不支持python3?

求大神解答!

0

1个回答

keras是支持python3的,tensorflows自带keras的
可以试下from tensorflow import keras

2
TearjerkerR
Everyday Struggle 太谢谢您了!!
7 个月之前 回复
weixin_39416561
lyhsdy 回复qq_33768843: from tensorflow.keras import Sequential ;from 文件夹.子文件夹 import 函数/类名,你找到对应的目录就知道怎么去调用了,直接import kera是直接使用kera这个包,造成这种出错是因为tensorflow的开发者在kera基础上做了优化
11 个月之前 回复
qq_33768843
Fne 还有就是为什么直接import kera会报错
11 个月之前 回复
qq_33768843
Fne 非常感谢,from tensorflow import keras没有报错,但这种情况怎么import Sequential?
11 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
No module named pyExcelerator Error
No module named pyExceleratorrn安装的python是2.5的rn我已经安装了pyExcelerator0.6.3a版本的,rnrnfrom pyExcelerator import *rnrn怎么还是提示没有相应的模块?rn
ubuntu python2.7 No module named winsound
在ubuntu系统中运行一个python程序,发现没有winsound模块,这个模块如何安装呢?python2.7rnrn谢谢各位大神。
No module named ***
初学。rn Eclipse + PyDev 环境下,对一个项目debug、运行时,rn报了N多个 “No module named ***”。。。rnrn我自己创建一个hello world 的程序是可以调试、运行的,但多个*.py 在一起时,就出错。rnrn这些 modules 如何加载进来? 不能一个一个加载吧,我这有几十个 modules 缺失。。。rnrn请指点一下,谢谢。 分数不多,意思一下
caffe python error: No module named google.protobuf.internal
解决Windows下caffe Python报错:Import Error No module named google.protobuf.internal.
python 报错 ,显示ModuleNotFoundError: No module named 'exception'
显示错误,使用的是python3.6rn如果不能够使用这个模块,可以换成什么呢? 还是python3没有整个模块呢rnrn[code=python]Traceback (most recent call last):rn File "C:\Users\IBM\Desktop\商品信息.py", line 4, in rn from exception import ValueErrorrnModuleNotFoundError: No module named 'exception'[/code]rnrn[code=python]from lxml import html rnimport csv,os,jsonrnimport requestsrnfrom exception import ValueErrorrnfrom time import sleeprnrndef AmzonParser(url):rn headers = 'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.90 Safari/537.36'rn page = requests.get(url,headers=headers)rn while True:rn sleep(3)rn try:rn doc = html.fromstring(page.content)rn XPATH_NAME = '//h1[@id="title"]//text()'rn XPATH_SALE_PRICE = '//span[contains(@id,"ourprice") or contains(@id,"saleprice")]/text()'rn XPATH_ORIGINAL_PRICE = '//td[contains(text(),"List Price") or contains(text(),"M.R.P") or contains(text(),"Price")]/following-sibling::td/text()'rn XPATH_CATEGORY = '//a[@class="a-link-normal a-color-tertiary"]//text()'rn XPATH_AVAILABILITY = '//div[@id="availability"]//text()'rnrn RAW_NAME = doc.xpath(XPATH_NAME)rn RAW_SALE_PRICE = doc.xpath(XPATH_SALE_PRICE)rn RAW_CATEGORY = doc.xpath(XPATH_CATEGORY)rn RAW_ORIGINAL_PRICE = doc.xpath(XPATH_ORIGINAL_PRICE)rn RAw_AVAILABILITY = doc.xpath(XPATH_AVAILABILITY)rnrn NAME = ' '.join(''.join(RAW_NAME).split()) if RAW_NAME else Nonern SALE_PRICE = ' '.join(''.join(RAW_SALE_PRICE).split()).strip() if RAW_SALE_PRICE else Nonern CATEGORY = ' > '.join([i.strip() for i in RAW_CATEGORY]) if RAW_CATEGORY else Nonern ORIGINAL_PRICE = ''.join(RAW_ORIGINAL_PRICE).strip() if RAW_ORIGINAL_PRICE else Nonern AVAILABILITY = ''.join(RAw_AVAILABILITY).strip() if RAw_AVAILABILITY else Nonernrn if not ORIGINAL_PRICE:rn ORIGINAL_PRICE = SALE_PRICErnrn if page.status_code!=200:rn raise ValueError('captha')rn data = rn 'NAME':NAME,rn 'SALE_PRICE':SALE_PRICE,rn 'CATEGORY':CATEGORY,rn 'ORIGINAL_PRICE':ORIGINAL_PRICE,rn 'AVAILABILITY':AVAILABILITY,rn 'URL':url,rn rnrn return datarn except Exception as e:rn print (e) rndef ReadAsin():rn # AsinList = csv.DictReader(open(os.path.join(os.path.dirname(__file__),"Asinfeed.csv")))rn AsinList = ['B0046UR4F4',rn 'B00JGTVU5A',rn 'B00GJYCIVK',rn 'B00EPGK7CQ',rn 'B00EPGKA4G',rn 'B00YW5DLB4',rn 'B00KGD0628',rn 'B00O9A48N2',rn 'B00O9A4MEW',rn 'B00UZKG8QU',]rn extracted_data = []rn for i in AsinList:rn url = "http://www.amazon.com/dp/"+irn print ("Processing: "+url)rn extracted_data.append(AmzonParser(url))rn sleep(5)rn f=open('data.json','w')rn json.dump(extracted_data,f,indent=4)rnrnrnif __name__ == "__main__":rn ReadAsin()rn[/code]
python 报错:No module named 'requests 解决办法
解决python 报错:No module named 'requests 解决办法
创建Django, ModuleNotFoundError: No module named 'django'报错
在Pycharm上创建Django项目之后,在Terminal命令行运行命令:python manage.py startapp login,然后报错,报错内容如下:rnrnTraceback (most recent call last):rn File "manage.py", line 10, in rn raise excrn File "manage.py", line 8, in rn from django.core.management import execute_from_command_linernModuleNotFoundError: No module named 'django'rnrn我将django安装在anaconda中,python的版本是3.7,django的版本是2.1.5rnrn卸载之后重新装还是会报错,什么原因?rn
tensorflow报错:ImportError:No module named 'tensorflow.python.platform'?
今天要打开tensorboard的时候出现报错:rn![图片说明](https://img-ask.csdn.net/upload/201906/02/1559476838_499887.png)rnrn然后试着用pythonrnimport tensorflow as tfrn检查了一下,还是同样的报错。rn所有用到import TensorFlow的程序都无法运行了。rnrn用网上的方法,添加PATH或者给tensorflow升级、重新安装后都是这样,不知道是为啥。
执行python脚本报错No module named requests解决方法
首先需要先安装下pip       根目录执行命令  yum install python-pip 然后安装requests,                                      pip install requests python2.6下这样是可以成功安装的,但其它版本根据网上的资料看可能有问题,需要编译源码安装
python 2.7报错 No module named http.cookiejar
python 2.7中rnimport http.cookiejarrnrn报错:ImportError: No module named http.cookiejarrnrn网上搜不到,是为何?
java调用python,引入第三方包报错no module named
1.编辑器:PyCharm IDEA 2.jdk版本:1.8 python版本:2.7 3.我项目中用的python的第三方库是import jieba 4.前提是,在python项目中,jieba已经下载,并且能够正常运行。如下图 5.java调用python,在java的控制台报错,显示no module named 6.从网上找了很多资料,没有解决问题,其中有一项是说在pytho...
java调用python文件报错ImportError: No module named urllib
python代码rnrn# -*- coding: utf-8 -*-rnimport urllibrnprint "sdf"rnrnjava代码rnrnimport org.python.util.PythonInterpreter; rnimport org.python.core.*; rnrnrnpublic class cs rnrn public static void main(String[] args) rn // TODO Auto-generated method stubrn PythonInterpreter interp = new PythonInterpreter();rn interp.execfile("D:\\lm.py");rn rn rnrnrn实在不知道为什么各位大哥大姐帮帮忙吧!!
C#通过IronPython调用python脚本中的函数报错 no module named…
python脚本中import了第三方的包,单独执行运行脚本没问题,C#通过IronPython调用该脚本则报错:no module named…(引用的包名),如何解决?
ImportError: No module named 'matplotlib.externals'
如题,帮忙解决一下这个问题,谢谢!rnTraceback (most recent call last):rn File "E:\python34\test.py", line 1, in rn import matplotlib.pyplot as pltrn File "E:\python34\lib\site-packages\matplotlib\pyplot.py", line 21, in rn from matplotlib.externals import sixrnImportError: No module named 'matplotlib.externals'
ImportError: No module named java.lang.System
[root@localhost autodomain]# python createDomain.pyrnTraceback (most recent call last):rn File "createDomain.py", line 12, in rn import java.lang.SystemrnImportError: No module named java.lang.Systemrnrnrn我运行个小脚本,报错 怎么解决哇。。rnrn12行是import java.lang.System
ImportError: No module named os
我在配置Apache+mod_wsgi+Django的过程中,出现错误rn[Tue Sep 28 23:03:56 2010] [error] Traceback (most recent call last):rn[Tue Sep 28 23:03:56 2010] [error] File "E:/devspace/djtest/djtest/django.wsgi", line 1, in rn[Tue Sep 28 23:03:56 2010] [error] import sys, osrn[Tue Sep 28 23:03:56 2010] [error] ImportError: No module named osrnrn同样的工程,我在公司跑没问题,在家就出现这问题。rn有了解的告诉下,谢谢!
no module named系列问题解决
持续更新中~~~ 1、终端指令错误:no module named 'gdbm' 解决办法: sudo apt-get install python3.6-gdbm 2、终端无法定位软件包 解决办法: sudo apt-get update 3、 转载于:https://www.cnblogs.com/Fiona-Y/p/10535412.html...
ImportError: No module named 请教
目录结构rnSrcrn |_MyApprn |_ MyApp.pyrn |_ MyFrame.pyrn |_ __init__.pyrnrn#MyApp.pyrnimport wxrnfrom MyApp.MyFrame import MyFrame rn#from MyFrame import MyFramernclass MyApp(wx.App):rn def __init__(self):rn wx.App.__init__(self)rn def OnInit(self):rn self.frame = MyFrame(None)rn self.frame.Show(True)rn self.SetTopWindow(self.frame) rn return Truernrnif __name__=="__main__":rn app = MyApp() rn app.MainLoop() rnrn运行时提示 ImportError: No module named iCMSApp.MainFramern请教下大家
ImportError: No module named sets
谁值得这个是什么错误啊rnTraceback (most recent call last):rn File "/usr/local/mpich2/bin/mpd", line 87, in ?rn from sets import Set as setrnImportError: No module named setsrn帮忙指点一下
No module named cElementTree
各位大虾,虾米初学linux,请问下面是什么问题,我是在ubuntu8.04上面运行yum命令出现的问题:rnrnrnThere was a problem importing one of the Python modulesrnrequired to run yum. The error leading to this problem was:rnrn No module named cElementTreernrnPlease install a package which provides this module, orrnverify that the module is installed correctly.rnrnIt's possible that the above module doesn't match therncurrent version of Python, which is:rn2.5.2 (r252:60911, Apr 21 2008, 11:12:42)rn[GCC 4.2.3 (Ubuntu 4.2.3-2ubuntu7)]rnrnIf you cannot solve this problem yourself, please send thisrnmessage to .
ImportError: No module named httplib
使用python编写脚本,提示ImportError: No module named httplib,在网上搜了下说是需要导入Django。我就在python官网上下了Django-1.6.1.tar.gz安装后,还是提示没有httplib,现在真不知道该怎么办了,请高手帮忙解决下
No module named helloworld
怎么解决 ,
ImportError: No module named fcntl
ImportError: No module named fcntl #fcntl.py #ImportError
ImportError: No module named nose_parameterized
在学习Theano的过程中,为什么仅仅是from theano import sparse就出现这个错误
No module named torch
1.从github上下载了ganomaly,准备看下效果,但在运行run_mnist.sh 命令时报错,具体报错信息如下:rn![图片说明](https://img-ask.csdn.net/upload/201906/03/1559565938_754898.png)rnrnrnrnrnrn2.运行.sh文件报错之后验证了pytorch,torch,torchvision,没有问题。rnrn3.之后也单独重新安装了torch,但是还是报同样的错误。
no module named basehttpserver
我的Python版本是3.4,在运行standalone.py的时候,遇上这样的错误:rnno module named basehttpserverrn自己也查看了当前目录下的文件,确实没有basehttpServer。请问如何获取BaseHTTPServer,是不是需要下载什么?rnrn错误代码:rnTraceback (most recent call last):rn File "D:\Program Files\app\pywebsocket\pywebsocket-master\mod_pywebsocket\standalone.py", line 159, in rn from BaseHTTPServer import BaseHTTPRequestHandlerrnImportError: No module named 'BaseHTTPServer'rnrn目录文件截图:rn[img=https://img-bbs.csdn.net/upload/201611/26/1480164708_47958.png][/img]
linux下No module named virtkey
linux下最近要用到模拟键盘操作,网上找了很多方法找到了virtkey,但是在运行的时候提示No module named virtkey,众神给点帮助吧,谢谢,困扰我好久了rnrn命令执行情况如下:rn[root@bigdata1 xxxx]# python test.pyrnTraceback (most recent call last):rn File "test.py", line 3, in rn import virtkeyrnImportError: No module named virtkey
ImportError: No module named 'sklearn.model_selection'
环境:win10 anaconda3 ,python 3.5 rn问题:在jupyter notebook 中使用sklearn库时,报错:[color=#FF0000][b]ImportError: No module named 'sklearn.model_selection'[/b][/color]rn详细信息如图1所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261489_576021.png][/img][/align]rn[align=center]图1[/align]rn按照wisdom_bo博客所说在Anaconda prompty 输入:conda update scikit-learn来更新sklearn库。但是在unlinking packages的时候一直没有进度,电脑有网。如图2所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261686_557725.png][/img][/align]rn[align=center]图2[/align]rn请问大神这是怎么回事啊,我等了好久,大概一个小时也没有反应,即使包再大等一个小时总有进度吧,请求支援!!谢谢谢谢能有人解答!
module named ‘XXX’问题解决方法
解决方法一: 打开Anaconda Prompt,输入命令: conda install XXX 解决方法二: 如果上述方法提示PackagesNotFoundError,那么就用pip安装,命令是: pip install XXX 注意!!!!如果在conda中创建了envs如tensorflow,那么需要进入对应环境进行安装。以scipy为例,操作如下: 打开Anaconda P...
ImportError: No module named '_pywrap_tensorflow_internal'
tensorflow==1.5.0 安装成功;继续安装gpu版本,按系统提示再安装 CUDA-9.0, cuDNN-7.0: cuda_9.0.176_win10_network以及patch1-4 / cudnn-9.0-windows10-x64-v7.3.1.20. 运行‘import tensorflow as tf’后报错: ImportError: No module named '_pywrap_tensorflow_internal'rnrn谢谢帮助rnrn ---------------------------------------------------------------------------rnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 17 try:rn---> 18 return importlib.import_module(mname)rn 19 except ImportError:rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _gcd_import(name, package, level)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load_unlocked(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _load_unlocked(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in module_from_spec(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap_external.py in create_module(self, spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _call_with_frames_removed(f, *args, **kwds)rnrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 57 rn---> 58 from tensorflow.python.pywrap_tensorflow_internal import *rn 59 from tensorflow.python.pywrap_tensorflow_internal import __version__rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in ()rn 20 return importlib.import_module('_pywrap_tensorflow_internal')rn---> 21 _pywrap_tensorflow_internal = swig_import_helper()rn 22 del swig_import_helperrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 19 except ImportError:rn---> 20 return importlib.import_module('_pywrap_tensorflow_internal')rn 21 _pywrap_tensorflow_internal = swig_import_helper()rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnImportError: No module named '_pywrap_tensorflow_internal'rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rn in ()rn----> 1 import tensorflow as tfrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\__init__.py in ()rn 22 rn 23 # pylint: disable=wildcard-importrn---> 24 from tensorflow.python import *rn 25 # pylint: enable=wildcard-importrn 26 rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\__init__.py in ()rn 47 import numpy as nprn 48 rn---> 49 from tensorflow.python import pywrap_tensorflowrn 50 rn 51 # Protocol buffersrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 72 for some common reasons and solutions. Include the entire stack tracern 73 above this error message when asking for help.""" % traceback.format_exc()rn---> 74 raise ImportError(msg)rn 75 rn 76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-longrnrnImportError: Traceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helperrn return importlib.import_module(mname)rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rn File "", line 986, in _gcd_importrn File "", line 969, in _find_and_loadrn File "", line 958, in _find_and_load_unlockedrn File "", line 666, in _load_unlockedrn File "", line 577, in module_from_specrn File "", line 906, in create_modulern File "", line 222, in _call_with_frames_removedrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnTraceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in rn from tensorflow.python.pywrap_tensorflow_internal import *rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in rn _pywrap_tensorflow_internal = swig_import_helper()rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helperrn return importlib.import_module('_pywrap_tensorflow_internal')rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rnImportError: No module named '_pywrap_tensorflow_internal'rnrnrnFailed to load the native TensorFlow runtime.rnrnSee https://www.tensorflow.org/install/install_sources#common_installation_problemsrnrnfor some common reasons and solutions. Include the entire stack tracernabove this error message when asking for help.
ImportError: No module named django.db
#-*- coding:utf-8 -*-rnrnfrom django.db import modelsrnrnclass Topics(models.Model):rn """用户学习的主题"""rn text = models.CharField(max_length=200)rn date_added = models.DateTimeField(auto_now_add=ture)rnrn def __str__(self):rn """返回模型的字符串表示"""rn return self.text
python:no module named MySQLdb
想用django开发网站。使用的是python2.7,操作系统win10.已经安装好了Anaconda和mysql。现在想进行连接数据库,已经在网站下载并安装了多个版本的python-mysql驱动(1.2.3版本等),然后再import MySQLdb,还是提示no module named MySQLdbrnrnrn在C:\Anaconda2\Lib\site-packages也已经有了C:\Anaconda2\Lib\site-packages\MySQL_python-1.2.3-py2.7.egg-info和C:\Anaconda2\Lib\site-packages\MySQLdb。rnrn为什么就是不能成功呢?rnrndjango在启动服务的时候,错误为:rnC:\Anaconda2\Django-1.9.4\django\bin\hello>python manage.py runsever 0.0.0.0:8080rnTraceback (most recent call last):rn File "manage.py", line 10, in rn execute_from_command_line(sys.argv)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\core\management\__init__.py", line 353, in execute_from_command_linern utility.execute()rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\core\management\__init__.py", line 327, in executern django.setup()rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\__init__.py", line 18, in setuprn apps.populate(settings.INSTALLED_APPS)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\apps\registry.py", line 108, in populatern app_config.import_models(all_models)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\apps\config.py", line 202, in import_modelsrn self.models_module = import_module(models_module_name)rn File "F:\Anaconda\lib\importlib\__init__.py", line 37, in import_modulern __import__(name)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\contrib\auth\models.py", line 4, in rn from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManagerrn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\contrib\auth\base_user.py", line 49, in rn class AbstractBaseUser(models.Model):rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\models\base.py", line 108, in __new__rn new_class.add_to_class('_meta', Options(meta, app_label))rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\models\base.py", line 299, in add_to_classrn value.contribute_to_class(cls, name)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\models\options.py", line 263, in contribute_to_classrn self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\__init__.py", line 36, in __getattr__rn return getattr(connections[DEFAULT_DB_ALIAS], item)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\utils.py", line 212, in __getitem__rn backend = load_backend(db['ENGINE'])rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\utils.py", line 116, in load_backendrn return import_module('%s.base' % backend_name)rn File "F:\Anaconda\lib\importlib\__init__.py", line 37, in import_modulern __import__(name)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\backends\mysql\base.py", line 28, in rn raise ImproperlyConfigured("Error loading MySQLdb module: %s" % e)rndjango.core.exceptions.ImproperlyConfigured: Error loading MySQLdb module: No module named MySQLdb
No module named distutils.core
DistributionMetadata instance has no attributern
c#调用Python源码,No module named xx解决方案
请和博客一起看.http://www.cnblogs.com/birds-zhu/p/8821020.html
C#如何调用python “No module named multiarray ”
各位好rn 我用C#调用Python写的程序,rn 单独在Python中运行是正常的,在Python中引用了numpy,scipy,matplotlib三个库,运行正常。rn 由于项目需要,要将python嵌入到C#中开发,于是我开始在C#中对Python进行调用,rn 代码如下(为了调试的需要我写了一个简单的Helloworld):rnpython代码中我添加了路径的引用rn import sysrn sys.path.append(r'D:\Python27\Lib')rn sys.path.append(r'D:\Python27\Lib\site-packages')rn sys.path.append(r'D:\Python27\Lib\site-packages\numpy\core')rn在C#中调用的时候,仍然出现了“No module named multiarray ” rn ScriptRuntime sr = Python.CreateRuntime();rn dynamic obj = sr.UseFile(@"D:\src\python\module1.py");rn this.textBox1.Text = obj.Helloworld("HELLO");rn 实在无解了,讲大家帮看一下。rn
ImportError: No module named 'matplotlib'
![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139637_755846.png)n![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139654_86486.png)n怎么弄啊 我应该是安装matplotlid了的n怎么还说我没有
python的" no module named "core""
在调用不同文件夹下的python文件时出现如题的报错,python文件使用的时pycharm3.8,并且已将路径添加到搜索但依然报错。无解,望各位大佬帮我看一眼。![图片说明](https://img-ask.csdn.net/upload/201812/07/1544150047_861410.png)![图片说明](https://img-ask.csdn.net/upload/201812/07/1544150058_725628.png)![图片说明](https://img-ask.csdn.net/upload/201812/07/1544150070_142469.png)
关于....No module named urls
1,向你的模型添加admin metadatarn并不是所有的模型都可以或者应该被admin用户编辑,所以你需要标记那些需要管理界面的模型rn上一章的Book模型添加一个管理界面的方法就是:rnJava代码 复制代码rnrn 1. class Book(models.Model): rn 2. title = models.CharField(maxlength=100) rn 3. authors = models.ManyToManyField(Author) rn 4. publisher = models.ForeignKey(Publisher) rn 5. publication_date = models.DateField() rn 6. rn 7. class Admin: rn 8. pass rnrnclass Book(models.Model):rn title = models.CharField(maxlength=100)rn authors = models.ManyToManyField(Author)rn publisher = models.ForeignKey(Publisher)rn publication_date = models.DateField()rnrn class Admin:rn passrnrnrnAdmin声明标记这个类拥有一个管理界面,在Admin之下你可以配置许多选项rn目前我们采用默认值,所以我们使用pass来表示Admin类是空的rn如果你正在按这个例子写自己的代码,现在给Publisher和Author类添加Admin声明是个好主意rn2,安装admin模型,简单的把"django.contrib.admin"添加到你的INSTALLED_APPS设置里rn然后运行python manage.py syncdb来安装admin使用的额外的表rn注意,在你第一次运行syncdb时,你很可能被问起是否创建一个superuserrn如果那时你没有创建superuser,你需要运行djang/contrib/auth/bin/create_superuser.pyrn来创建一个admin用户,否则你就不能登录到管理界面里去rn3,把URL模式添加到urls.py,如果仍在使用startproject创建的工程,admin的URL模式可能rn已经在那儿了,但是被注释掉了,你的URL模式应该像这样:rnJava代码 复制代码rnrn 1. from django.conf.urls.defaults import * rn 2. rn 3. urlpatterns = patterns('', rn 4. (r'^admin/', include('django.contrib.admin.urls')), rn 5. ) rnrnfrom django.conf.urls.defaults import *rnrnurlpatterns = patterns('',rn (r'^admin/', include('django.contrib.admin.urls')),rn)rnrnrn就这样,现在运行python manage.py runserver来启动服务器,你将看到如下信息:rnValidating models...rn0 errors found.rnrnDjango version 0.96-pre, using settings 'mysite.settings'rnDevelopment server is running at http://127.0.0.1:8000/rnQuit the server with CONTROL-C. rnrn但当我进入http://127.0.0.1:8000/admin/时。。。。就会出现rnrnImportError at /admin/rnrnNo module named urlsrnrn错误。。。怎么解决呢。。。请各位高手帮帮忙吧!rnrn我看到在我的django.contrib.admin 目录下没有urls.py文件啊!
ModuleNotFoundError: No module named 'cython'
在使用Fast-RCNN代码时https://github.com/smallcorgi/Faster-RCNN_TF ,按照步骤,第二步make后出现了这个问题,但是我的cython已经装了,可能是什么问题呢?n![图片说明](https://img-ask.csdn.net/upload/201801/26/1516968516_512053.png)
ModuleNotFoundError: No module named 'serial.tools'
请问有谁会解决这个问题?已经安装了serial库了。在乌班图能运行,但是在window里面报错。[img=https://img-bbs.csdn.net/upload/201904/30/1556554673_871940.png][/img][img=https://img-bbs.csdn.net/upload/201904/30/1556554684_899391.png][/img]